Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Andrew Kurn <[email-masked]>
Date: Wed, 4 Jul 2018 00:49:22 -0700

Eli wrote:

> I think we support both those who share this opinion and
> those who don't.  It sounds like you want to set
> scroll-bar-adjust-thumb-portion to nil.

Yes!!  This is the answer I've been looking for, how to
disable the feature.

Many thanks.

. . . and have you got any idea why the author used 'thumb'
in the name?  I suppose who the author is is lost in the
mists of time.

[and see below]

On Tue  3 Jul 2018 22:13 -0700, Mike Kupfer wrote:
> Andrew Kurn wrote:
> 
> > Anyhow, my contention is that, since the whole buffer is on display,
> > the scroll bar should extend over the whole window.  The length of the
> > scroll bar, as a fraction of the window height, is supposed to be the
> > fraction of the buffer on display.  Its top is the character (line,
> > usually) where the display starts.  Its bottom is where it stops.
> 
> That's what I would expect, too.  The current behavior was explained to
> me as deliberate, to account for differences in scrolling behavior when
> comparing Emacs to GTK apps like gedit.  That is, when you get to the
> end of a file in gedit, the last line of the file is at the bottom of
> the window.  If you get to the bottom of the file and continue to press
> PgDown or the down arrow key, gedit just beeps at you.

As the queen says, we never notice what other women are wearing.
Comparing emacs and gedit . . .

> 
> With Emacs, though, it is possible, using PgDown or C-v, to scroll down
> so that the last line of the file appears higher up in the window,
> possibly even at the very top of the window.
> 
> There does seem to be an inconsistency between the scrollbar and
> scrolling using keypresses.  For example, in the attached screenshot, if
> I try to scroll using PgDown, C-v, or down arrow, I get an "End of
> buffer" error.  Yet I can scroll down using the down-stepper on the
> scrollbar.  And if I drag the scrollbar marker down as far as it will
> go, the text scrolls off the top, leaving me with a blank window.
> 
> Personally, I find the gap below the scrollbar marker disorienting; I
> can't trust the scrollbar to show me when I'm at the end of the file.
> This is annoying enough that I try to avoid Emacs+GTK.
> 
> mike

Goodness!  Don't throw out the baby with the bath-water.  With
its faults, emacs is still emacs.

I almost said "with all its faults," but, really, I find so few
problems with emacs that even such a minor one as this one (now
understood not to be a bug at all) seems worth reporting.

Andrew